Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableInterceptor::IORInfo Interface Reference

`#include <PortableInterceptorC.h>`

Inheritance diagram for PortableInterceptor::IORInfo:

[legend]
Collaboration diagram for PortableInterceptor::IORInfo:

[legend]
List of all members.

## Public Types
typedef IORInfo_ptr | _ptr_type
typedef IORInfo_var | _var_type
## Public Methods
CORBA::Policy | get_effective_policy (in CORBA::PolicyType type)
void | add_ior_component (in IOP::TaggedComponent a_component)
void | add_ior_component_to_profile (in IOP::TaggedComponent a_component, in IOP::ProfileId profile_id)
virtual::CORBA::Policy_ptr | get_effective_policy (CORBA::PolicyType type ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | add_ior_component (const IOP::TaggedComponent &component ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | add_ior_component_to_profile (const IOP::TaggedComponent &component, IOP::ProfileId profile_id ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual PortableInterceptor::AdapterManagerId | manager_id (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual PortableInterceptor::AdapterState | state (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::PortableInterceptor::ObjectReferenceTemplate * | adapter_template (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::PortableInterceptor::ObjectReferenceFactory * | current_factory (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | current_factory (PortableInterceptor::ObjectReferenceFactory *current_factory ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void * | _tao_QueryInterface (ptr_arith_t type)
| Downcasting this object pointer to some other derived class. This QueryInterface stuff only work for local object. More...
virtual const char * | _interface_repository_id (void) const
| The repository ID for the most derived class, this is an implementation method and does no remote invocations! More...
## Static Public Methods
IORInfo_ptr | _duplicate (IORInfo_ptr obj)
IORInfo_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
IORInfo_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
IORInfo_ptr | _nil (void)
| Return a NULL object. More...
## Public Attributes
readonly attribute AdapterManagerId | manager_id
readonly attribute AdapterState | state
readonly attribute ObjectReferenceTemplate | adapter_template
attribute ObjectReferenceFactory | current_factory
## Static Public Attributes
int | _tao_class_id
| Address of this variable used in _unchecked_narrow(). More...
## Protected Methods
| IORInfo (void)
virtual | ~IORInfo (void)
## Private Methods
| IORInfo (const IORInfo &)
void | operator= (const IORInfo &)

## Member Typedef Documentation

typedef IORInfo_ptr PortableInterceptor::IORInfo::_ptr_type

| Reimplemented from CORBA_Object.

typedef IORInfo_var PortableInterceptor::IORInfo::_var_type

| Reimplemented from CORBA_Object.

## Constructor & Destructor Documentation

PortableInterceptor::IORInfo::IORInfo | ( | void |  | ) | `[protected]`

virtual PortableInterceptor::IORInfo::~IORInfo | ( | void |  | ) | `[protected, virtual]`

PortableInterceptor::IORInfo::IORInfo | ( | const IORInfo & |  | ) | `[private]`

## Member Function Documentation

IORInfo_ptr PortableInterceptor::IORInfo::_duplicate | ( | IORInfo_ptr | obj | ) | `[static]`

virtual const char* PortableInterceptor::IORInfo::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| The repository ID for the most derived class, this is an implementation method and does no remote invocations! Reimplemented from CORBA_Object.

IORInfo_ptr PortableInterceptor::IORInfo::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

IORInfo_ptr PortableInterceptor::IORInfo::_nil | ( | void |  | ) | `[inline, static]`

| Return a NULL object. Reimplemented from CORBA_Object.

virtual void* PortableInterceptor::IORInfo::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

| Downcasting this object pointer to some other derived class. This QueryInterface stuff only work for local object. Reimplemented from CORBA_Object.

IORInfo_ptr PortableInterceptor::IORInfo::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

virtual ::PortableInterceptor::ObjectReferenceTemplate* PortableInterceptor::IORInfo::adapter_template | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

virtual void PortableInterceptor::IORInfo::add_ior_component | ( | const IOP::TaggedComponent &component | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

void PortableInterceptor::IORInfo::add_ior_component | ( | in IOP::TaggedComponent | a_component | ) |

virtual void PortableInterceptor::IORInfo::add_ior_component_to_profile | ( | const IOP::TaggedComponent & | component,
|  | IOP::ProfileId profile_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw ( CORBA::SystemException )`[pure virtual]`

void PortableInterceptor::IORInfo::add_ior_component_to_profile | ( | in IOP::TaggedComponent | a_component,
|  | in IOP::ProfileId | profile_id
| ) |

virtual void PortableInterceptor::IORInfo::current_factory | ( | PortableInterceptor::ObjectReferenceFactory *current_factory | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

virtual ::PortableInterceptor::ObjectReferenceFactory* PortableInterceptor::IORInfo::current_factory | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

virtual ::CORBA::Policy_ptr PortableInterceptor::IORInfo::get_effective_policy | ( | CORBA::PolicyType type | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

CORBA::Policy PortableInterceptor::IORInfo::get_effective_policy | ( | in CORBA::PolicyType | type | ) |

virtual PortableInterceptor::AdapterManagerId PortableInterceptor::IORInfo::manager_id | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

void PortableInterceptor::IORInfo::operator= | ( | const IORInfo & |  | ) | `[private]`

virtual PortableInterceptor::AdapterState PortableInterceptor::IORInfo::state | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

## Member Data Documentation

int PortableInterceptor::IORInfo::_tao_class_id`[static]`

| Address of this variable used in _unchecked_narrow(). Reimplemented from CORBA_Object.

readonly attribute ObjectReferenceTemplate PortableInterceptor::IORInfo::adapter_template

attribute ObjectReferenceFactory PortableInterceptor::IORInfo::current_factory

readonly attribute AdapterManagerId PortableInterceptor::IORInfo::manager_id

readonly attribute AdapterState PortableInterceptor::IORInfo::state

The documentation for this interface was generated from the following files:

- PortableInterceptor.pidl
- PortableInterceptorC.h